%define name    kolourpaint
%define version 1.2
%define release 1mdk
%define Summary Free and easy-to-use paint program for KDE

%define section Multimedia/Graphics
%define title Kolourpaint

# Work around for different libtool use in kde 
%define __libtoolize true

Summary:        %Summary
Name:           %name
Version:        %version
Release:        %release

License: GPL
Group: Graphics
Source: kolourpaint-%{version}.tar.bz2
Url: http://kolourpaint.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-devel

%description
KolourPaint is a free, easy-to-use paint program for KDE.
It aims to be conceptually simple to understand; providing a level of
functionality targeted towards the average user. It's designed for daily
tasks like:
  Painting - drawing diagrams and "finger painting" 
  Image Manipulation - editing screenshots and photos; applying effects 
  Icon Editing - drawing clipart and logos with transparency 
It's not an unusable and monolithic program where simple tasks like drawing 
lines become near impossible. Nor is it so simple that it lacks essential 
features like Undo/Redo. KolourPaint is opensource software written in C++
using the Qt and KDE libraries

%prep
%setup -q

%build
%configure --disable-rpath
%make

%install
rm -rf %buildroot
%makeinstall

# Menu
mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} << EOF
?package(%{name}): \
command="%{_bindir}/%{name}" \
needs="X11" \
icon="%{name}.png" \
section="%{section}" \
title="%{title}" \
longtitle="%{Summary}"
EOF

#mdk icons
install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png
install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name}

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(0755,root,root,0755)
%{_bindir}/%{name}
%defattr(0644,root,root,0755)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL README 
%doc VERSION
%{_menudir}/%{name}
%{_datadir}/applications/kde/kolourpaint.desktop
%{_datadir}/apps/kolourpaint/kolourpaintui.rc
%{_datadir}/apps/kolourpaint/icons/*/*/*/*.png
%{_datadir}/apps/kolourpaint/pics/*.png
%{_datadir}/icons/*/*/apps/*.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%doc %_docdir/HTML/en/kolourpaint/*.png
%doc %_docdir/HTML/en/kolourpaint/*.bz2
%doc %_docdir/HTML/en/kolourpaint/common
%doc %_docdir/HTML/en/kolourpaint/*.docbook


%changelog
* Fri Aug 20 2004 Nick Brown <nickbrown@mandrake.org> 1.2-1mdk
- 1.2

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-2mdk
- Rebuild

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2

* Thu Mar 11 2004 Nick Brown <nickbroon@blueyonder.co.uk> 1.0.1-1mdk
- First Mandrake package release
